Subject: Add SLE12 SP2 support
From: Charles Arnold carnold@suse.com Mon Dec 12 15:43:10 2016 -0700
Date: Tue Dec 13 09:21:56 2016 +0000:
Git: 99ae3d724f401cf196eeb45860087140e77fdc22


Index: libosinfo-0.3.0/data/os/suse.com/sled-12.2.xml.in
===================================================================
--- /dev/null
+++ libosinfo-0.3.0/data/os/suse.com/sled-12.2.xml.in
@@ -0,0 +1,50 @@
+<libosinfo version="0.0.1">
+<!-- Licensed under the GNU General Public License version 2 or later.
+     See http://www.gnu.org/licenses/ for a copy of the license text -->
+  <os id="http://suse.com/sled/12.2">
+    <short-id>sled12sp2</short-id>
+    <_name>SUSE Linux Enterprise Desktop 12 SP2</_name>
+    <version>12.2</version>
+    <_vendor>SUSE</_vendor>
+    <family>linux</family>
+    <distro>sled</distro>
+    <upgrades id="http://suse.com/sled/12.1"/>
+    <derives-from id="http://suse.com/sled/12.1"/>
+
+    <release-date>2016-11-08</release-date>
+
+    <devices>
+      <device id="http://pcisig.com/pci/1af4/1041"/>
+      <device id="http://pcisig.com/pci/1af4/1042"/>
+      <device id="http://pcisig.com/pci/1af4/1043"/>
+      <device id="http://pcisig.com/pci/1af4/1044"/>
+      <device id="http://pcisig.com/pci/1af4/1045"/>
+      <device id="http://pcisig.com/pci/1af4/1048"/>
+      <device id="http://pcisig.com/pci/1af4/1049"/>
+      <device id="http://pcisig.com/pci/1af4/1052"/>
+      <device id="http://pcisig.com/pci/1af4/1050"/>
+    </devices>
+
+    <media arch="x86_64">
+      <iso>
+        <system-id>LINUX</system-id>
+        <volume-id>SLE-12-SP2-Desktop-DVD-x86_64</volume-id>
+      </iso>
+      <kernel>boot/x86_64/loader/linux</kernel>
+      <initrd>boot/x86_64/loader/initrd</initrd>
+    </media>
+
+    <resources arch="all">
+      <minimum>
+        <cpu>500000000</cpu>
+        <ram>536870912</ram>
+        <storage>1074151424</storage>
+      </minimum>
+      <recommended>
+        <cpu>2400000000</cpu>
+        <ram>1073741824</ram>
+        <storage>17179869184</storage>
+      </recommended>
+    </resources>
+  </os>
+</libosinfo>
Index: libosinfo-0.3.0/data/os/suse.com/sles-12.2.xml.in
===================================================================
--- /dev/null
+++ libosinfo-0.3.0/data/os/suse.com/sles-12.2.xml.in
@@ -0,0 +1,77 @@
+<libosinfo version="0.0.1">
+<!-- Licensed under the GNU General Public License version 2 or later.
+     See http://www.gnu.org/licenses/ for a copy of the license text -->
+  <os id="http://suse.com/sles/12.2">
+    <short-id>sles12sp2</short-id>
+    <_name>SUSE Linux Enterprise Server 12 SP2</_name>
+    <version>12.2</version>
+    <_vendor>SUSE</_vendor>
+    <family>linux</family>
+    <distro>sles</distro>
+    <upgrades id="http://suse.com/sles/12.1"/>
+    <derives-from id="http://suse.com/sles/12.1"/>
+
+    <release-date>2016-11-08</release-date>
+
+    <devices>
+      <device id="http://pcisig.com/pci/1af4/1041"/>
+      <device id="http://pcisig.com/pci/1af4/1042"/>
+      <device id="http://pcisig.com/pci/1af4/1043"/>
+      <device id="http://pcisig.com/pci/1af4/1044"/>
+      <device id="http://pcisig.com/pci/1af4/1045"/>
+      <device id="http://pcisig.com/pci/1af4/1048"/>
+      <device id="http://pcisig.com/pci/1af4/1049"/>
+      <device id="http://pcisig.com/pci/1af4/1052"/>
+      <device id="http://pcisig.com/pci/1af4/1050"/>
+    </devices>
+
+    <media arch="x86_64">
+      <iso>
+        <system-id>LINUX</system-id>
+        <volume-id>SLE-12-SP2-Server-DVD-x86_64</volume-id>
+      </iso>
+      <kernel>boot/x86_64/loader/linux</kernel>
+      <initrd>boot/x86_64/loader/initrd</initrd>
+    </media>
+
+    <media arch="aarch64">
+      <iso>
+        <system-id>LINUX</system-id>
+        <volume-id>SLE-12-SP2-Server-DVD-aarch64</volume-id>
+      </iso>
+      <kernel>boot/aarch64/linux</kernel>
+      <initrd>boot/aarch64/initrd</initrd>
+    </media>
+
+    <media arch="ppc64">
+      <iso>
+        <system-id>LINUX</system-id>
+        <volume-id>SLE-12-SP2-Server-DVD-ppc64le</volume-id>
+      </iso>
+      <kernel>boot/ppc64le/linux</kernel>
+      <initrd>boot/ppc64le/initrd</initrd>
+    </media>
+
+    <media arch="s390x">
+      <iso>
+        <system-id>LINUX</system-id>
+        <volume-id>SLE-12-SP2-Server-DVD-s390x</volume-id>
+      </iso>
+      <kernel>boot/s390x/linux</kernel>
+      <initrd>boot/s390x/initrd</initrd>
+    </media>
+
+    <resources arch="all">
+      <minimum>
+        <cpu>500000000</cpu>
+        <ram>536870912</ram>
+        <storage>1074151424</storage>
+      </minimum>
+      <recommended>
+        <cpu>2400000000</cpu>
+        <ram>1073741824</ram>
+        <storage>17179869184</storage>
+      </recommended>
+    </resources>
+  </os>
+</libosinfo>