Subject: Fix SLE derives from information
From: Charles Arnold carnold@suse.com Mon Dec 12 15:43:06 2016 -0700
Date: Tue Dec 13 09:21:56 2016 +0000:
Git: 9a35cea753d2b8f2e6356f3026ae7887c701a519


Index: libosinfo-0.3.0/data/os/suse.com/sled-11.1.xml.in
===================================================================
--- libosinfo-0.3.0.orig/data/os/suse.com/sled-11.1.xml.in
+++ libosinfo-0.3.0/data/os/suse.com/sled-11.1.xml.in
@@ -7,6 +7,7 @@
     <family>linux</family>
     <distro>sled</distro>
     <upgrades id="http://suse.com/sled/11"/>
+    <derives-from id="http://suse.com/sled/11"/>
 
     <media arch="i686">
       <iso>
Index: libosinfo-0.3.0/data/os/suse.com/sled-11.2.xml.in
===================================================================
--- libosinfo-0.3.0.orig/data/os/suse.com/sled-11.2.xml.in
+++ libosinfo-0.3.0/data/os/suse.com/sled-11.2.xml.in
@@ -7,6 +7,7 @@
     <family>linux</family>
     <distro>sled</distro>
     <upgrades id="http://suse.com/sled/11.1"/>
+    <derives-from id="http://suse.com/sled/11.1"/>
 
     <media arch="i686">
       <iso>
Index: libosinfo-0.3.0/data/os/suse.com/sled-11.3.xml.in
===================================================================
--- libosinfo-0.3.0.orig/data/os/suse.com/sled-11.3.xml.in
+++ libosinfo-0.3.0/data/os/suse.com/sled-11.3.xml.in
@@ -7,6 +7,7 @@
     <family>linux</family>
     <distro>sled</distro>
     <upgrades id="http://suse.com/sled/11.2"/>
+    <derives-from id="http://suse.com/sled/11.2"/>
 
     <media arch="i686">
       <iso>
Index: libosinfo-0.3.0/data/os/suse.com/sled-11.4.xml.in
===================================================================
--- libosinfo-0.3.0.orig/data/os/suse.com/sled-11.4.xml.in
+++ libosinfo-0.3.0/data/os/suse.com/sled-11.4.xml.in
@@ -7,6 +7,7 @@
     <family>linux</family>
     <distro>sled</distro>
     <upgrades id="http://suse.com/sled/11.3"/>
+    <derives-from id="http://suse.com/sled/11.3"/>
 
     <media arch="i686">
       <iso>
Index: libosinfo-0.3.0/data/os/suse.com/sled-11.xml.in
===================================================================
--- libosinfo-0.3.0.orig/data/os/suse.com/sled-11.xml.in
+++ libosinfo-0.3.0/data/os/suse.com/sled-11.xml.in
@@ -6,7 +6,8 @@
     <_vendor>SUSE</_vendor>
     <family>linux</family>
     <distro>sled</distro>
-    <upgrades id="http://suse.com/sled/10"/>
+    <upgrades id="http://suse.com/sled/10.4"/>
+    <derives-from id="http://suse.com/sled/10.4"/>
 
     <resources arch="all">
       <minimum>
Index: libosinfo-0.3.0/data/os/suse.com/sles-11.1.xml.in
===================================================================
--- libosinfo-0.3.0.orig/data/os/suse.com/sles-11.1.xml.in
+++ libosinfo-0.3.0/data/os/suse.com/sles-11.1.xml.in
@@ -7,6 +7,7 @@
     <family>linux</family>
     <distro>sles</distro>
     <upgrades id="http://suse.com/sles/11"/>
+    <derives-from id="http://suse.com/sles/11"/>
 
     <release-date>2010-06-02</release-date>
 
Index: libosinfo-0.3.0/data/os/suse.com/sles-11.2.xml.in
===================================================================
--- libosinfo-0.3.0.orig/data/os/suse.com/sles-11.2.xml.in
+++ libosinfo-0.3.0/data/os/suse.com/sles-11.2.xml.in
@@ -7,6 +7,7 @@
     <family>linux</family>
     <distro>sles</distro>
     <upgrades id="http://suse.com/sles/11.1"/>
+    <derives-from id="http://suse.com/sles/11.1"/>
 
     <release-date>2012-02-15</release-date>
 
Index: libosinfo-0.3.0/data/os/suse.com/sles-11.3.xml.in
===================================================================
--- libosinfo-0.3.0.orig/data/os/suse.com/sles-11.3.xml.in
+++ libosinfo-0.3.0/data/os/suse.com/sles-11.3.xml.in
@@ -7,6 +7,7 @@
     <family>linux</family>
     <distro>sles</distro>
     <upgrades id="http://suse.com/sles/11.2"/>
+    <derives-from id="http://suse.com/sles/11.2"/>
 
     <release-date>2013-07-01</release-date>
 
Index: libosinfo-0.3.0/data/os/suse.com/sles-11.4.xml.in
===================================================================
--- libosinfo-0.3.0.orig/data/os/suse.com/sles-11.4.xml.in
+++ libosinfo-0.3.0/data/os/suse.com/sles-11.4.xml.in
@@ -7,6 +7,7 @@
     <family>linux</family>
     <distro>sles</distro>
     <upgrades id="http://suse.com/sles/11.3"/>
+    <derives-from id="http://suse.com/sles/11.3"/>
 
     <media arch="i686">
       <iso>
Index: libosinfo-0.3.0/data/os/suse.com/sles-11.xml.in
===================================================================
--- libosinfo-0.3.0.orig/data/os/suse.com/sles-11.xml.in
+++ libosinfo-0.3.0/data/os/suse.com/sles-11.xml.in
@@ -6,7 +6,8 @@
     <_vendor>SUSE</_vendor>
     <family>linux</family>
     <distro>sles</distro>
-    <upgrades id="http://suse.com/sles/10"/>
+    <upgrades id="http://suse.com/sles/10.4"/>
+    <derives-from id="http://suse.com/sles/10.4"/>
 
     <devices>
       <device id="http://pcisig.com/pci/1af4/1000"/>