Subject: Add missing SLE date information
From: Charles Arnold carnold@suse.com Mon Dec 12 15:43:08 2016 -0700
Date: Tue Dec 13 09:21:56 2016 +0000:
Git: 9dec2be83c6f63fd4cd042bc2e82e97c9eea5296


Index: libosinfo-0.3.0/data/os/suse.com/sled-11.1.xml.in
===================================================================
--- libosinfo-0.3.0.orig/data/os/suse.com/sled-11.1.xml.in
+++ libosinfo-0.3.0/data/os/suse.com/sled-11.1.xml.in
@@ -9,6 +9,9 @@
     <upgrades id="http://suse.com/sled/11"/>
     <derives-from id="http://suse.com/sled/11"/>
 
+    <release-date>2010-06-02</release-date>
+    <eol-date>2012-08-31</eol-date>
+
     <media arch="i686">
       <iso>
         <system-id>LINUX</system-id>
Index: libosinfo-0.3.0/data/os/suse.com/sled-11.2.xml.in
===================================================================
--- libosinfo-0.3.0.orig/data/os/suse.com/sled-11.2.xml.in
+++ libosinfo-0.3.0/data/os/suse.com/sled-11.2.xml.in
@@ -9,6 +9,9 @@
     <upgrades id="http://suse.com/sled/11.1"/>
     <derives-from id="http://suse.com/sled/11.1"/>
 
+    <release-date>2012-02-15</release-date>
+    <eol-date>2014-01-31</eol-date>
+
     <media arch="i686">
       <iso>
         <system-id>LINUX</system-id>
Index: libosinfo-0.3.0/data/os/suse.com/sled-11.3.xml.in
===================================================================
--- libosinfo-0.3.0.orig/data/os/suse.com/sled-11.3.xml.in
+++ libosinfo-0.3.0/data/os/suse.com/sled-11.3.xml.in
@@ -9,6 +9,9 @@
     <upgrades id="http://suse.com/sled/11.2"/>
     <derives-from id="http://suse.com/sled/11.2"/>
 
+    <release-date>2013-07-01</release-date>
+    <eol-date>2016-01-31</eol-date>
+
     <devices>
       <device id="http://pcisig.com/pci/1b36/0100"/>
       <device id="http://pcisig.com/pci/1af4/1000"/>
Index: libosinfo-0.3.0/data/os/suse.com/sled-11.4.xml.in
===================================================================
--- libosinfo-0.3.0.orig/data/os/suse.com/sled-11.4.xml.in
+++ libosinfo-0.3.0/data/os/suse.com/sled-11.4.xml.in
@@ -9,6 +9,9 @@
     <upgrades id="http://suse.com/sled/11.3"/>
     <derives-from id="http://suse.com/sled/11.3"/>
 
+    <release-date>2015-07-15</release-date>
+    <eol-date>2019-03-31</eol-date>
+
     <media arch="i686">
       <iso>
         <system-id>LINUX</system-id>
Index: libosinfo-0.3.0/data/os/suse.com/sled-11.xml.in
===================================================================
--- libosinfo-0.3.0.orig/data/os/suse.com/sled-11.xml.in
+++ libosinfo-0.3.0/data/os/suse.com/sled-11.xml.in
@@ -9,6 +9,9 @@
     <upgrades id="http://suse.com/sled/10.4"/>
     <derives-from id="http://suse.com/sled/10.4"/>
 
+    <release-date>2009-03-24</release-date>
+    <eol-date>2010-12-31</eol-date>
+
     <devices>
       <device id="http://pcisig.com/pci/8086/2415"/>
     </devices>
Index: libosinfo-0.3.0/data/os/suse.com/sled-12.1.xml.in
===================================================================
--- libosinfo-0.3.0.orig/data/os/suse.com/sled-12.1.xml.in
+++ libosinfo-0.3.0/data/os/suse.com/sled-12.1.xml.in
@@ -9,7 +9,8 @@
     <upgrades id="http://suse.com/sled/12"/>
     <derives-from id="http://suse.com/sled/12"/>
 
-    <release-date>2015-12-18</release-date>
+    <release-date>2015-12-15</release-date>
+    <eol-date>2017-05-31</eol-date>
 
     <media arch="x86_64">
       <iso>
Index: libosinfo-0.3.0/data/os/suse.com/sled-12.xml.in
===================================================================
--- libosinfo-0.3.0.orig/data/os/suse.com/sled-12.xml.in
+++ libosinfo-0.3.0/data/os/suse.com/sled-12.xml.in
@@ -9,6 +9,9 @@
     <upgrades id="http://suse.com/sled/11.4"/>
     <derives-from id="http://suse.com/sled/11.4"/>
 
+    <release-date>2014-10-27</release-date>
+    <eol-date>2016-06-30</eol-date>
+
     <media arch="x86_64">
       <iso>
         <system-id>LINUX</system-id>
Index: libosinfo-0.3.0/data/os/suse.com/sles-11.1.xml.in
===================================================================
--- libosinfo-0.3.0.orig/data/os/suse.com/sles-11.1.xml.in
+++ libosinfo-0.3.0/data/os/suse.com/sles-11.1.xml.in
@@ -10,6 +10,7 @@
     <derives-from id="http://suse.com/sles/11"/>
 
     <release-date>2010-06-02</release-date>
+    <eol-date>2012-08-31</eol-date>
 
     <media arch="i686">
       <iso>
Index: libosinfo-0.3.0/data/os/suse.com/sles-11.2.xml.in
===================================================================
--- libosinfo-0.3.0.orig/data/os/suse.com/sles-11.2.xml.in
+++ libosinfo-0.3.0/data/os/suse.com/sles-11.2.xml.in
@@ -10,6 +10,7 @@
     <derives-from id="http://suse.com/sles/11.1"/>
 
     <release-date>2012-02-15</release-date>
+    <eol-date>2014-01-31</eol-date>
 
     <media arch="i686">
       <iso>
Index: libosinfo-0.3.0/data/os/suse.com/sles-11.3.xml.in
===================================================================
--- libosinfo-0.3.0.orig/data/os/suse.com/sles-11.3.xml.in
+++ libosinfo-0.3.0/data/os/suse.com/sles-11.3.xml.in
@@ -10,6 +10,7 @@
     <derives-from id="http://suse.com/sles/11.2"/>
 
     <release-date>2013-07-01</release-date>
+    <eol-date>2016-01-31</eol-date>
 
     <devices>
       <device id="http://pcisig.com/pci/1b36/0100"/>
Index: libosinfo-0.3.0/data/os/suse.com/sles-11.4.xml.in
===================================================================
--- libosinfo-0.3.0.orig/data/os/suse.com/sles-11.4.xml.in
+++ libosinfo-0.3.0/data/os/suse.com/sles-11.4.xml.in
@@ -9,6 +9,9 @@
     <upgrades id="http://suse.com/sles/11.3"/>
     <derives-from id="http://suse.com/sles/11.3"/>
 
+    <release-date>2015-07-15</release-date>
+    <eol-date>2019-03-31</eol-date>
+
     <media arch="i686">
       <iso>
         <system-id>LINUX</system-id>
Index: libosinfo-0.3.0/data/os/suse.com/sles-11.xml.in
===================================================================
--- libosinfo-0.3.0.orig/data/os/suse.com/sles-11.xml.in
+++ libosinfo-0.3.0/data/os/suse.com/sles-11.xml.in
@@ -9,6 +9,9 @@
     <upgrades id="http://suse.com/sles/10.4"/>
     <derives-from id="http://suse.com/sles/10.4"/>
 
+    <release-date>2009-03-24</release-date>
+    <eol-date>2010-12-31</eol-date>
+
     <devices>
       <device id="http://pcisig.com/pci/8086/2415"/>
     </devices>
Index: libosinfo-0.3.0/data/os/suse.com/sles-12.1.xml.in
===================================================================
--- libosinfo-0.3.0.orig/data/os/suse.com/sles-12.1.xml.in
+++ libosinfo-0.3.0/data/os/suse.com/sles-12.1.xml.in
@@ -9,7 +9,8 @@
     <upgrades id="http://suse.com/sles/12"/>
     <derives-from id="http://suse.com/sles/12"/>
 
-    <release-date>2015-12-18</release-date>
+    <release-date>2015-12-15</release-date>
+    <eol-date>2017-05-31</eol-date>
 
     <media arch="x86_64">
       <iso>
Index: libosinfo-0.3.0/data/os/suse.com/sles-12.xml.in
===================================================================
--- libosinfo-0.3.0.orig/data/os/suse.com/sles-12.xml.in
+++ libosinfo-0.3.0/data/os/suse.com/sles-12.xml.in
@@ -9,7 +9,8 @@
     <upgrades id="http://suse.com/sles/11.4"/>
     <derives-from id="http://suse.com/sles/11.4"/>
 
-    <release-date>2014-10-28</release-date>
+    <release-date>2014-10-27</release-date>
+    <eol-date>2016-06-30</eol-date>
 
     <media arch="x86_64">
       <iso>