Subject: Add or update resources for openSUSE
From: Charles Arnold carnold@suse.com Mon Dec 12 15:43:04 2016 -0700
Date: Tue Dec 13 09:21:56 2016 +0000:
Git: e77abec775f5accfd55334b376e960095639e080


Index: libosinfo-0.3.0/data/os/opensuse.org/opensuse-10.2.xml.in
===================================================================
--- libosinfo-0.3.0.orig/data/os/opensuse.org/opensuse-10.2.xml.in
+++ libosinfo-0.3.0/data/os/opensuse.org/opensuse-10.2.xml.in
@@ -13,5 +13,19 @@
     <devices>
       <device id="http://usb.org/usb/80ee/0021"/> <!-- USB tablet -->
     </devices>
+
+    <resources arch="all">
+      <minimum>
+        <cpu>500000000</cpu>
+        <n-cpus>1</n-cpus>
+        <ram>268435456</ram>
+        <storage>524288000</storage>
+      </minimum>
+      <recommended>
+        <cpu>2400000000</cpu>
+        <ram>536870912</ram>
+        <storage>3221225472</storage>
+      </recommended>
+    </resources>
   </os>
 </libosinfo>
Index: libosinfo-0.3.0/data/os/opensuse.org/opensuse-10.3.xml.in
===================================================================
--- libosinfo-0.3.0.orig/data/os/opensuse.org/opensuse-10.3.xml.in
+++ libosinfo-0.3.0/data/os/opensuse.org/opensuse-10.3.xml.in
@@ -11,5 +11,19 @@
 
     <release-date>2007-10-04</release-date>
     <eol-date>2009-10-31</eol-date>
+
+    <resources arch="all">
+      <minimum>
+        <cpu>500000000</cpu>
+        <n-cpus>1</n-cpus>
+        <ram>268435456</ram>
+        <storage>524288000</storage>
+      </minimum>
+      <recommended>
+        <cpu>2400000000</cpu>
+        <ram>536870912</ram>
+        <storage>3221225472</storage>
+      </recommended>
+    </resources>
   </os>
 </libosinfo>
Index: libosinfo-0.3.0/data/os/opensuse.org/opensuse-11.0.xml.in
===================================================================
--- libosinfo-0.3.0.orig/data/os/opensuse.org/opensuse-11.0.xml.in
+++ libosinfo-0.3.0/data/os/opensuse.org/opensuse-11.0.xml.in
@@ -11,5 +11,19 @@
 
     <release-date>2008-06-19</release-date>
     <eol-date>2010-07-26</eol-date>
+
+    <resources arch="all">
+      <minimum>
+        <cpu>500000000</cpu>
+        <n-cpus>1</n-cpus>
+        <ram>268435456</ram>
+        <storage>524288000</storage>
+      </minimum>
+      <recommended>
+        <cpu>2400000000</cpu>
+        <ram>536870912</ram>
+        <storage>8589934592</storage>
+      </recommended>
+    </resources>
   </os>
 </libosinfo>
Index: libosinfo-0.3.0/data/os/opensuse.org/opensuse-11.1.xml.in
===================================================================
--- libosinfo-0.3.0.orig/data/os/opensuse.org/opensuse-11.1.xml.in
+++ libosinfo-0.3.0/data/os/opensuse.org/opensuse-11.1.xml.in
@@ -15,5 +15,19 @@
     <devices>
       <device id="http://pcisig.com/pci/8086/2415"/> <!-- AC97 -->
     </devices>
+
+    <resources arch="all">
+      <minimum>
+        <cpu>500000000</cpu>
+        <n-cpus>1</n-cpus>
+        <ram>268435456</ram>
+        <storage>524288000</storage>
+      </minimum>
+      <recommended>
+        <cpu>2400000000</cpu>
+        <ram>536870912</ram>
+        <storage>8589934592</storage>
+      </recommended>
+    </resources>
   </os>
 </libosinfo>
Index: libosinfo-0.3.0/data/os/opensuse.org/opensuse-11.2.xml.in
===================================================================
--- libosinfo-0.3.0.orig/data/os/opensuse.org/opensuse-11.2.xml.in
+++ libosinfo-0.3.0/data/os/opensuse.org/opensuse-11.2.xml.in
@@ -11,5 +11,19 @@
 
     <release-date>2009-11-12</release-date>
     <eol-date>2011-05-12</eol-date>
+
+    <resources arch="all">
+      <minimum>
+        <cpu>500000000</cpu>
+        <n-cpus>1</n-cpus>
+        <ram>536870912</ram>
+        <storage>3221225472</storage>
+      </minimum>
+      <recommended>
+        <cpu>2400000000</cpu>
+        <ram>1073741824</ram>
+        <storage>8589934592</storage>
+      </recommended>
+    </resources>
   </os>
 </libosinfo>
Index: libosinfo-0.3.0/data/os/opensuse.org/opensuse-11.3.xml.in
===================================================================
--- libosinfo-0.3.0.orig/data/os/opensuse.org/opensuse-11.3.xml.in
+++ libosinfo-0.3.0/data/os/opensuse.org/opensuse-11.3.xml.in
@@ -64,6 +64,7 @@
       <recommended>
         <cpu>2400000000</cpu>
         <ram>1073741824</ram>
+        <storage>8589934592</storage>
       </recommended>
     </resources>
   </os>
Index: libosinfo-0.3.0/data/os/opensuse.org/opensuse-11.4.xml.in
===================================================================
--- libosinfo-0.3.0.orig/data/os/opensuse.org/opensuse-11.4.xml.in
+++ libosinfo-0.3.0/data/os/opensuse.org/opensuse-11.4.xml.in
@@ -64,6 +64,7 @@
       <recommended>
         <cpu>2400000000</cpu>
         <ram>1073741824</ram>
+        <storage>8589934592</storage>
       </recommended>
     </resources>
   </os>
Index: libosinfo-0.3.0/data/os/opensuse.org/opensuse-12.1.xml.in
===================================================================
--- libosinfo-0.3.0.orig/data/os/opensuse.org/opensuse-12.1.xml.in
+++ libosinfo-0.3.0/data/os/opensuse.org/opensuse-12.1.xml.in
@@ -64,7 +64,7 @@
       <recommended>
         <cpu>2400000000</cpu>
         <ram>2147483648</ram>
-        <storage>5368709120</storage>
+        <storage>10737418240</storage>
       </recommended>
     </resources>
   </os>
Index: libosinfo-0.3.0/data/os/opensuse.org/opensuse-12.2.xml.in
===================================================================
--- libosinfo-0.3.0.orig/data/os/opensuse.org/opensuse-12.2.xml.in
+++ libosinfo-0.3.0/data/os/opensuse.org/opensuse-12.2.xml.in
@@ -65,6 +65,7 @@
         <cpu>2400000000</cpu>
         <ram>2147483648</ram>
         <storage>5368709120</storage>
+        <storage>10737418240</storage>
       </recommended>
     </resources>
   </os>
Index: libosinfo-0.3.0/data/os/opensuse.org/opensuse-12.3.xml.in
===================================================================
--- libosinfo-0.3.0.orig/data/os/opensuse.org/opensuse-12.3.xml.in
+++ libosinfo-0.3.0/data/os/opensuse.org/opensuse-12.3.xml.in
@@ -55,7 +55,7 @@
       <recommended>
         <cpu>2400000000</cpu>
         <ram>2147483648</ram>
-        <storage>5368709120</storage>
+        <storage>10737418240</storage>
       </recommended>
     </resources>
   </os>
Index: libosinfo-0.3.0/data/os/opensuse.org/opensuse-13.1.xml.in
===================================================================
--- libosinfo-0.3.0.orig/data/os/opensuse.org/opensuse-13.1.xml.in
+++ libosinfo-0.3.0/data/os/opensuse.org/opensuse-13.1.xml.in
@@ -67,7 +67,7 @@
       <recommended>
         <cpu>2400000000</cpu>
         <ram>2147483648</ram>
-        <storage>5368709120</storage>
+        <storage>10737418240</storage>
       </recommended>
     </resources>
   </os>
Index: libosinfo-0.3.0/data/os/opensuse.org/opensuse-13.2.xml.in
===================================================================
--- libosinfo-0.3.0.orig/data/os/opensuse.org/opensuse-13.2.xml.in
+++ libosinfo-0.3.0/data/os/opensuse.org/opensuse-13.2.xml.in
@@ -32,5 +32,19 @@
       <kernel>boot/x86_64/loader/linux</kernel>
       <initrd>boot/x86_64/loader/initrd</initrd>
     </media>
+
+    <resources arch="all">
+      <minimum>
+        <cpu>500000000</cpu>
+        <n-cpus>1</n-cpus>
+        <ram>1073741824</ram>
+        <storage>3221225472</storage>
+      </minimum>
+      <recommended>
+        <cpu>2400000000</cpu>
+        <ram>2147483648</ram>
+        <storage>10737418240</storage>
+      </recommended>
+    </resources>
   </os>
 </libosinfo>
Index: libosinfo-0.3.0/data/os/opensuse.org/opensuse-42.1.xml.in
===================================================================
--- libosinfo-0.3.0.orig/data/os/opensuse.org/opensuse-42.1.xml.in
+++ libosinfo-0.3.0/data/os/opensuse.org/opensuse-42.1.xml.in
@@ -22,5 +22,19 @@
       <kernel>boot/x86_64/loader/linux</kernel>
       <initrd>boot/x86_64/loader/initrd</initrd>
     </media>
+
+    <resources arch="all">
+      <minimum>
+        <cpu>1600000000</cpu>
+        <n-cpus>1</n-cpus>
+        <ram>1073741824</ram>
+        <storage>3221225472</storage>
+      </minimum>
+      <recommended>
+        <cpu>2400000000</cpu>
+        <ram>2147483648</ram>
+        <storage>17179869184</storage>
+      </recommended>
+    </resources>
   </os>
 </libosinfo>
Index: libosinfo-0.3.0/data/os/opensuse.org/opensuse-factory.xml.in
===================================================================
--- libosinfo-0.3.0.orig/data/os/opensuse.org/opensuse-factory.xml.in
+++ libosinfo-0.3.0/data/os/opensuse.org/opensuse-factory.xml.in
@@ -33,14 +33,15 @@
     <!-- http://en.opensuse.org/Hardware_requirements -->
       <minimum>
         <cpu>500000000</cpu>
+        <cpu>1600000000</cpu>
         <n-cpus>1</n-cpus>
         <ram>1073741824</ram>
-        <storage>3221225472</storage>
+        <storage>4294967296</storage>
       </minimum>
       <recommended>
         <cpu>2400000000</cpu>
         <ram>2147483648</ram>
-        <storage>5368709120</storage>
+        <storage>21474836480</storage>
       </recommended>
     </resources>
   </os>
Index: libosinfo-0.3.0/data/os/opensuse.org/opensuse-tumbleweed.xml.in
===================================================================
--- libosinfo-0.3.0.orig/data/os/opensuse.org/opensuse-tumbleweed.xml.in
+++ libosinfo-0.3.0/data/os/opensuse.org/opensuse-tumbleweed.xml.in
@@ -55,10 +55,10 @@
     <resources arch="all">
     <!-- http://en.opensuse.org/Hardware_requirements -->
       <minimum>
-        <cpu>500000000</cpu>
+        <cpu>1600000000</cpu>
         <n-cpus>1</n-cpus>
         <ram>1073741824</ram>
-        <storage>3221225472</storage>
+        <storage>4294967296</storage>
       </minimum>
       <recommended>
         <cpu>2400000000</cpu>
Index: libosinfo-0.3.0/data/os/opensuse.org/opensuse-unknown.xml.in
===================================================================
--- libosinfo-0.3.0.orig/data/os/opensuse.org/opensuse-unknown.xml.in
+++ libosinfo-0.3.0/data/os/opensuse.org/opensuse-unknown.xml.in
@@ -34,7 +34,7 @@
       <minimum>
         <cpu>500000000</cpu>
         <n-cpus>1</n-cpus>
-        <ram>1073741824</ram>
+        <ram>536870912</ram>
         <storage>3221225472</storage>
       </minimum>
       <recommended>