Subject: Add missing SLE 10 distros
From: Charles Arnold carnold@suse.com Tue Dec 13 08:08:41 2016 -0700
Date: Tue Dec 13 15:29:39 2016 +0000:
Git: f0d44d88b25635e4c836a277e9fadc8ff72b2522


Index: libosinfo-0.3.0/data/os/suse.com/sled-10.1.xml.in
===================================================================
--- /dev/null
+++ libosinfo-0.3.0/data/os/suse.com/sled-10.1.xml.in
@@ -0,0 +1,47 @@
+<libosinfo version="0.0.1">
+<!-- Licensed under the GNU General Public License version 2 or later.
+     See http://www.gnu.org/licenses/ for a copy of the license text -->
+  <os id="http://suse.com/sled/10.1">
+    <short-id>sled10sp1</short-id>
+    <_name>SUSE Linux Enterprise Desktop 10 SP1</_name>
+    <version>10.1</version>
+    <_vendor>SUSE</_vendor>
+    <family>linux</family>
+    <distro>sled</distro>
+    <upgrades id="http://suse.com/sled/10"/>
+    <derives-from id="http://suse.com/sled/10"/>
+
+    <release-date>2007-06-18</release-date>
+    <eol-date>2008-11-30</eol-date>
+
+    <media arch="i686">
+      <iso>
+        <system-id>LINUX</system-id>
+        <volume-id>SLED-10-SP1-DVD-i586</volume-id>
+      </iso>
+      <kernel>boot/i386/loader/linux</kernel>
+      <initrd>boot/i386/loader/initrd</initrd>
+    </media>
+    <media arch="x86_64">
+      <iso>
+        <system-id>LINUX</system-id>
+        <volume-id>SLED-10-SP1-DVD-x86_64</volume-id>
+      </iso>
+      <kernel>boot/x86_64/loader/linux</kernel>
+      <initrd>boot/x86_64/loader/initrd</initrd>
+    </media>
+
+    <resources arch="all">
+      <minimum>
+        <cpu>500000000</cpu>
+        <ram>536870912</ram>
+        <storage>1074151424</storage>
+      </minimum>
+      <recommended>
+        <cpu>2400000000</cpu>
+        <ram>1073741824</ram>
+        <storage>10737418240</storage>
+      </recommended>
+    </resources>
+  </os>
+</libosinfo>
Index: libosinfo-0.3.0/data/os/suse.com/sled-10.2.xml.in
===================================================================
--- /dev/null
+++ libosinfo-0.3.0/data/os/suse.com/sled-10.2.xml.in
@@ -0,0 +1,51 @@
+<libosinfo version="0.0.1">
+<!-- Licensed under the GNU General Public License version 2 or later.
+     See http://www.gnu.org/licenses/ for a copy of the license text -->
+  <os id="http://suse.com/sled/10.2">
+    <short-id>sled10sp2</short-id>
+    <_name>SUSE Linux Enterprise Desktop 10 SP2</_name>
+    <version>10.2</version>
+    <_vendor>SUSE</_vendor>
+    <family>linux</family>
+    <distro>sled</distro>
+    <upgrades id="http://suse.com/sled/10.1"/>
+    <derives-from id="http://suse.com/sled/10.1"/>
+
+    <release-date>2008-05-19</release-date>
+    <eol-date>2010-04-11</eol-date>
+
+    <devices>
+      <device id="http://usb.org/usb/80ee/0021"/>
+    </devices>
+
+    <media arch="i686">
+      <iso>
+        <system-id>LINUX</system-id>
+        <volume-id>SLED-10-SP2-DVD-i586</volume-id>
+      </iso>
+      <kernel>boot/i386/loader/linux</kernel>
+      <initrd>boot/i386/loader/initrd</initrd>
+    </media>
+    <media arch="x86_64">
+      <iso>
+        <system-id>LINUX</system-id>
+        <volume-id>SLED-10-SP2-DVD-x86_64</volume-id>
+      </iso>
+      <kernel>boot/x86_64/loader/linux</kernel>
+      <initrd>boot/x86_64/loader/initrd</initrd>
+    </media>
+
+    <resources arch="all">
+      <minimum>
+        <cpu>500000000</cpu>
+        <ram>536870912</ram>
+        <storage>1074151424</storage>
+      </minimum>
+      <recommended>
+        <cpu>2400000000</cpu>
+        <ram>1073741824</ram>
+        <storage>10737418240</storage>
+      </recommended>
+    </resources>
+  </os>
+</libosinfo>
Index: libosinfo-0.3.0/data/os/suse.com/sled-10.3.xml.in
===================================================================
--- /dev/null
+++ libosinfo-0.3.0/data/os/suse.com/sled-10.3.xml.in
@@ -0,0 +1,47 @@
+<libosinfo version="0.0.1">
+<!-- Licensed under the GNU General Public License version 2 or later.
+     See http://www.gnu.org/licenses/ for a copy of the license text -->
+  <os id="http://suse.com/sled/10.3">
+    <short-id>sled10sp3</short-id>
+    <_name>SUSE Linux Enterprise Desktop 10 SP3</_name>
+    <version>10.3</version>
+    <_vendor>SUSE</_vendor>
+    <family>linux</family>
+    <distro>sled</distro>
+    <upgrades id="http://suse.com/sled/10.2"/>
+    <derives-from id="http://suse.com/sled/10.2"/>
+
+    <release-date>2009-10-12</release-date>
+    <eol-date>2011-10-11</eol-date>
+
+    <media arch="i686">
+      <iso>
+        <system-id>LINUX</system-id>
+        <volume-id>SLED-10-SP3-DVD-i586</volume-id>
+      </iso>
+      <kernel>boot/i386/loader/linux</kernel>
+      <initrd>boot/i386/loader/initrd</initrd>
+    </media>
+    <media arch="x86_64">
+      <iso>
+        <system-id>LINUX</system-id>
+        <volume-id>SLED-10-SP3-DVD-x86_64</volume-id>
+      </iso>
+      <kernel>boot/x86_64/loader/linux</kernel>
+      <initrd>boot/x86_64/loader/initrd</initrd>
+    </media>
+
+    <resources arch="all">
+      <minimum>
+        <cpu>500000000</cpu>
+        <ram>536870912</ram>
+        <storage>1074151424</storage>
+      </minimum>
+      <recommended>
+        <cpu>2400000000</cpu>
+        <ram>1073741824</ram>
+        <storage>10737418240</storage>
+      </recommended>
+    </resources>
+  </os>
+</libosinfo>
Index: libosinfo-0.3.0/data/os/suse.com/sled-10.4.xml.in
===================================================================
--- /dev/null
+++ libosinfo-0.3.0/data/os/suse.com/sled-10.4.xml.in
@@ -0,0 +1,47 @@
+<libosinfo version="0.0.1">
+<!-- Licensed under the GNU General Public License version 2 or later.
+     See http://www.gnu.org/licenses/ for a copy of the license text -->
+  <os id="http://suse.com/sled/10.4">
+    <short-id>sled10sp4</short-id>
+    <_name>SUSE Linux Enterprise Desktop 10 SP4</_name>
+    <version>10.4</version>
+    <_vendor>SUSE</_vendor>
+    <family>linux</family>
+    <distro>sled</distro>
+    <upgrades id="http://suse.com/sled/10.3"/>
+    <derives-from id="http://suse.com/sled/10.3"/>
+
+    <release-date>2011-04-12</release-date>
+    <eol-date>2013-07-31</eol-date>
+
+    <media arch="i686">
+      <iso>
+        <system-id>LINUX</system-id>
+        <volume-id>SLED-10-SP4-DVD-i586</volume-id>
+      </iso>
+      <kernel>boot/i386/loader/linux</kernel>
+      <initrd>boot/i386/loader/initrd</initrd>
+    </media>
+    <media arch="x86_64">
+      <iso>
+        <system-id>LINUX</system-id>
+        <volume-id>SLED-10-SP4-DVD-x86_64</volume-id>
+      </iso>
+      <kernel>boot/x86_64/loader/linux</kernel>
+      <initrd>boot/x86_64/loader/initrd</initrd>
+    </media>
+
+    <resources arch="all">
+      <minimum>
+        <cpu>500000000</cpu>
+        <ram>536870912</ram>
+        <storage>1074151424</storage>
+      </minimum>
+      <recommended>
+        <cpu>2400000000</cpu>
+        <ram>1073741824</ram>
+        <storage>10737418240</storage>
+      </recommended>
+    </resources>
+  </os>
+</libosinfo>
Index: libosinfo-0.3.0/data/os/suse.com/sles-10.1.xml.in
===================================================================
--- /dev/null
+++ libosinfo-0.3.0/data/os/suse.com/sles-10.1.xml.in
@@ -0,0 +1,47 @@
+<libosinfo version="0.0.1">
+<!-- Licensed under the GNU General Public License version 2 or later.
+     See http://www.gnu.org/licenses/ for a copy of the license text -->
+  <os id="http://suse.com/sles/10.1">
+    <short-id>sles10sp1</short-id>
+    <_name>SUSE Linux Enterprise Server 10 SP1</_name>
+    <version>10.1</version>
+    <_vendor>SUSE</_vendor>
+    <family>linux</family>
+    <distro>sles</distro>
+    <upgrades id="http://suse.com/sles/10"/>
+    <derives-from id="http://suse.com/sles/10"/>
+
+    <release-date>2007-06-18</release-date>
+    <eol-date>2008-11-30</eol-date>
+
+    <media arch="i686">
+      <iso>
+        <system-id>LINUX</system-id>
+        <volume-id>SLES-10-SP1-DVD-i586</volume-id>
+      </iso>
+      <kernel>boot/i386/loader/linux</kernel>
+      <initrd>boot/i386/loader/initrd</initrd>
+    </media>
+    <media arch="x86_64">
+      <iso>
+        <system-id>LINUX</system-id>
+        <volume-id>SLES-10-SP1-DVD-x86_64</volume-id>
+      </iso>
+      <kernel>boot/x86_64/loader/linux</kernel>
+      <initrd>boot/x86_64/loader/initrd</initrd>
+    </media>
+
+    <resources arch="all">
+      <minimum>
+        <cpu>500000000</cpu>
+        <ram>536870912</ram>
+        <storage>1074151424</storage>
+      </minimum>
+      <recommended>
+        <cpu>2400000000</cpu>
+        <ram>1073741824</ram>
+        <storage>10737418240</storage>
+      </recommended>
+    </resources>
+  </os>
+</libosinfo>
Index: libosinfo-0.3.0/data/os/suse.com/sles-10.2.xml.in
===================================================================
--- /dev/null
+++ libosinfo-0.3.0/data/os/suse.com/sles-10.2.xml.in
@@ -0,0 +1,51 @@
+<libosinfo version="0.0.1">
+<!-- Licensed under the GNU General Public License version 2 or later.
+     See http://www.gnu.org/licenses/ for a copy of the license text -->
+  <os id="http://suse.com/sles/10.2">
+    <short-id>sles10sp2</short-id>
+    <_name>SUSE Linux Enterprise Server 10 SP2</_name>
+    <version>10.2</version>
+    <_vendor>SUSE</_vendor>
+    <family>linux</family>
+    <distro>sles</distro>
+    <upgrades id="http://suse.com/sles/10.1"/>
+    <derives-from id="http://suse.com/sles/10.1"/>
+
+    <release-date>2008-05-19</release-date>
+    <eol-date>2010-04-11</eol-date>
+
+    <devices>
+      <device id="http://usb.org/usb/80ee/0021"/>
+    </devices>
+
+    <media arch="i686">
+      <iso>
+        <system-id>LINUX</system-id>
+        <volume-id>SLES-10-SP2-DVD-i586</volume-id>
+      </iso>
+      <kernel>boot/i386/loader/linux</kernel>
+      <initrd>boot/i386/loader/initrd</initrd>
+    </media>
+    <media arch="x86_64">
+      <iso>
+        <system-id>LINUX</system-id>
+        <volume-id>SLES-10-SP2-DVD-x86_64</volume-id>
+      </iso>
+      <kernel>boot/x86_64/loader/linux</kernel>
+      <initrd>boot/x86_64/loader/initrd</initrd>
+    </media>
+
+    <resources arch="all">
+      <minimum>
+        <cpu>500000000</cpu>
+        <ram>536870912</ram>
+        <storage>1074151424</storage>
+      </minimum>
+      <recommended>
+        <cpu>2400000000</cpu>
+        <ram>1073741824</ram>
+        <storage>10737418240</storage>
+      </recommended>
+    </resources>
+  </os>
+</libosinfo>
Index: libosinfo-0.3.0/data/os/suse.com/sles-10.3.xml.in
===================================================================
--- /dev/null
+++ libosinfo-0.3.0/data/os/suse.com/sles-10.3.xml.in
@@ -0,0 +1,47 @@
+<libosinfo version="0.0.1">
+<!-- Licensed under the GNU General Public License version 2 or later.
+     See http://www.gnu.org/licenses/ for a copy of the license text -->
+  <os id="http://suse.com/sles/10.3">
+    <short-id>sles10sp3</short-id>
+    <_name>SUSE Linux Enterprise Server 10 SP3</_name>
+    <version>10.3</version>
+    <_vendor>SUSE</_vendor>
+    <family>linux</family>
+    <distro>sles</distro>
+    <upgrades id="http://suse.com/sles/10.2"/>
+    <derives-from id="http://suse.com/sles/10.2"/>
+
+    <release-date>2009-10-12</release-date>
+    <eol-date>2011-10-11</eol-date>
+
+    <media arch="i686">
+      <iso>
+        <system-id>LINUX</system-id>
+        <volume-id>SLES-10-SP3-DVD-i586</volume-id>
+      </iso>
+      <kernel>boot/i386/loader/linux</kernel>
+      <initrd>boot/i386/loader/initrd</initrd>
+    </media>
+    <media arch="x86_64">
+      <iso>
+        <system-id>LINUX</system-id>
+        <volume-id>SLES-10-SP3-DVD-x86_64</volume-id>
+      </iso>
+      <kernel>boot/x86_64/loader/linux</kernel>
+      <initrd>boot/x86_64/loader/initrd</initrd>
+    </media>
+
+    <resources arch="all">
+      <minimum>
+        <cpu>500000000</cpu>
+        <ram>536870912</ram>
+        <storage>1074151424</storage>
+      </minimum>
+      <recommended>
+        <cpu>2400000000</cpu>
+        <ram>1073741824</ram>
+        <storage>10737418240</storage>
+      </recommended>
+    </resources>
+  </os>
+</libosinfo>
Index: libosinfo-0.3.0/data/os/suse.com/sles-10.4.xml.in
===================================================================
--- /dev/null
+++ libosinfo-0.3.0/data/os/suse.com/sles-10.4.xml.in
@@ -0,0 +1,47 @@
+<libosinfo version="0.0.1">
+<!-- Licensed under the GNU General Public License version 2 or later.
+     See http://www.gnu.org/licenses/ for a copy of the license text -->
+  <os id="http://suse.com/sles/10.4">
+    <short-id>sles10sp4</short-id>
+    <_name>SUSE Linux Enterprise Server 10 SP4</_name>
+    <version>10.4</version>
+    <_vendor>SUSE</_vendor>
+    <family>linux</family>
+    <distro>sles</distro>
+    <upgrades id="http://suse.com/sles/10.3"/>
+    <derives-from id="http://suse.com/sles/10.3"/>
+
+    <release-date>2011-04-12</release-date>
+    <eol-date>2013-07-31</eol-date>
+
+    <media arch="i686">
+      <iso>
+        <system-id>LINUX</system-id>
+        <volume-id>SLES-10-SP4-DVD-i586</volume-id>
+      </iso>
+      <kernel>boot/i386/loader/linux</kernel>
+      <initrd>boot/i386/loader/initrd</initrd>
+    </media>
+    <media arch="x86_64">
+      <iso>
+        <system-id>LINUX</system-id>
+        <volume-id>SLES-10-SP4-DVD-x86_64</volume-id>
+      </iso>
+      <kernel>boot/x86_64/loader/linux</kernel>
+      <initrd>boot/x86_64/loader/initrd</initrd>
+    </media>
+
+    <resources arch="all">
+      <minimum>
+        <cpu>500000000</cpu>
+        <ram>536870912</ram>
+        <storage>1074151424</storage>
+      </minimum>
+      <recommended>
+        <cpu>2400000000</cpu>
+        <ram>1073741824</ram>
+        <storage>10737418240</storage>
+      </recommended>
+    </resources>
+  </os>
+</libosinfo>